# pymatgen.io.xcrysden module

Support for reading XCrysDen files.

class XSF(structure)

  Bases: `object`

  Class for parsing XCrysden files.

  Parameters

    structure – Structure object.

  classmethod from_string(input_string, cls_=None)

    Initialize a Structure object from a string with data in XSF format.

    Parameters

      - input_string – String with the structure in XSF format. See http://www.xcrysden.org/doc/XSF.html

      - cls – Structure class to be created. default: pymatgen structure

  to_string(atom_symbol=True)

    Returns a string with the structure in XSF format See http://www.xcrysden.org/doc/XSF.html

    Parameters

      atom_symbol (bool) – Uses atom symbol instead of atomic number. Defaults to True.